Subject: [Sidr] Re: DRAFT SIDR Charter

From: Geoff Huston <[email-masked]>
Date: Thu, 19 Jan 2006 06:32:32 +1100

Alex, Bill,

I note that there has been no AD response on this proposed charter for SIDR 
for almost 2 months now.

Is SIDR going to be chartered as a WG in time for the March IETF?

Could you please let the mailing list members know of the current status here

thanks,

      Geoff

At 04:03 PM 29/11/2005, Geoff Huston wrote:
>Alex, Bill,
>
>I recall at the NOF that you mentioned generating a draft charter for SIDR 
>by the 28th November. AS its (just) still the 28th at least somewhere in 
>the world, here's what's been drafted to date.
>
>The residual area of discussion concerns specifying the form of 
>certificate repository and the form(s) of repository access, where one 
>view is that these should be within the chartered activity for this 
>working group and another view is that the potential deployment scenarios 
>are sufficiently broad such that a single profile of certificate 
>repository structure and access makes  little sense in terms of a base 
>technology standard.
>
>In any case here's the draft charter for your consideration
>
>thanks,
>
>      Geoff
>
>-----------------------
>
>
>Secure Inter-Domain Routing (sidr)
>Last Modified: 2005-11-28 (V4)
>
>
>Chair(s):
>   TBD
>
>Routing Area Director(s):
>   Bill Fenner <[email-masked]>
>   Alex Zinin <[email-masked]>
>
>Routing Area Advisor:
>   TBD
>
>Other Advisors:
>   ? Security: TBD
>   ? Routing: TBD
>
>Mailing Lists:
>   General Discussion: [email-masked]
>   To Subscribe: [email-masked]
>   In Body: (un)subscribe
>   Archive: http://www.ietf.org/mail-archive/web/sidr/index.html
>
>Description of Working Group:
>
>   One of the areas of vulnerability for large scale Internet
>   environments lies in the area of inter-domain routing. The basic
>   security questions that can be posed regarding routing information
>   is that of the validity of the address prefix being advertised, the
>   validity of the originating Autonomous System Number, and the
>   existence of an explicit permission from the address prefix holder
>   to allow the prefix to be advertised from this origin. A related
>   question concerns the level of trust than can be ascribed to
>   attributes of a route object in terms of their authenticity,
>   including consideration of the AS Path attribute..
>
>   The Routing Protocol Security Group (RPSEC) has been chartered to
>   document the security requirements for routing systems, and, in
>   particular, to produce a document on BGP security requirements.
>
>   The scope of work in the SIDR working group is to formulate an
>   extensible architecture for an interdomain routing security
>   framework. This framework must be capable of supporting incremental
>   additions of functional components. As and when interdomain routing
>   security requirements are completed within the RPSEC Working Group,
>   these requirements will be defined within the SIDR framework as
>   functional components of a secure interdomain routing system.
>
>   The scope of work will include describing the use of certification
>   objects for supporting the distribution of authentication
>   information. Both strict hierarchical and distributed non-
>   hierarchical trust systems are intended to be supported within
>   this framework.
>
>   The scope of work is limited to inter-domain router-to-router
>   protocols only, for both unicast and multicast systems.
>
>   The SIDR working group is charged with the following tasks:
>
>   - Document an extensible interdomain routing security architecture
>
>   - Document the use of certification objects within this secure
>     routing architecture
>
>   - Document specific routing functionality modules within this
>     architecture that are designed to address specific secure routing
>     requirements as they are determined by the RPSEC Working Group
>
>Goals and Milestones:
>
>April-06  Submit initial draft on inter-domain routing security
>           architecture
>
>May-06    Submit  initial draft on certificate objects to be used
>           within this architecture
>
>May-06    Submit initial draft on securing origination of routing
>           information
>
>Sept-06   Submit routing security architecture for publication as an
>           Informational RFC
>
>Nov-06    Submit description of use certificate objects by this
>           architecture as an Informational RFC
>
>Dec-06    Submit secure origination mechanism as a Proposed Standard
>
>Jan-07    Evaluate progress, recharter with new goals or shutdown.
>
>

_______________________________________________
Sidr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sidr

---

From: Bill Fenner <[email-masked]>
Date: Fri, 27 Jan 2006 13:58:51 -0800

Geoff,

Thank you very much for your work on developing the charter, and I'd
like to apologize for our lack of followup.  While we gave you a deadline,
we forgot to give ourselves one and as happens all too often, the queue
of "important stuff that should happen soon" got under-serviced.  This
was disrespectful to the effort that you put in to meet our deadline, and
for that I sincerely apologize.

>Is SIDR going to be chartered as a WG in time for the March IETF?

We will schedule it as a "second BOF", and if the WG is approved
by the IESG before the meeting, we will turn the meeting into a
WG meeting.  Please use the meeting management tool to schedule
it as a BOF.

Thanks,
  Bill and Alex

---

From: Geoff Huston <[email-masked]>
Date: Sat, 28 Jan 2006 12:21:28 +1100

Hi,

As Bill has indicated earlier today, we'll be scheduling a SIDR meeting at 
IETF65, and if the WG is approved by the IESG before the meeting, we'll use 
it as the initial WG meeting.

Its been a while, so as a refresher, the  BOF notes from November are at 
http://www3.ietf.org/proceedings/05nov/sidr.html

The proto WG Charter as passed to the ADs is at 
http://www.ietf.org/mail-archive/web/sidr/current/msg00020.html

So I'd like to take this opportunity to call for agenda items for the 2nd 
BOF, and in particular it makes sense to start to look at the first three 
proposed work items and see if there are contributions to these topics, 
namely in the areas of:

-  inter-domain routing security architecture

-  certificate objects to be used within this architecture

-  securing origination of routing information

Also, if anyone has any input relating to operational experiences in this 
area (such as the recent incident concerning PANIX as discussed on the 
NANOG list) this also may be useful for the BOF.

many thanks,

     Geoff